###############################################################################
#	Filename:	STFCQuantumTorp.py
#	
#	Confidential and Proprietary, Copyright 2000 by Totally Games
#	
#	Script for filling in the attributes of STFCQuantumTorp torpedoes.
#	
#	Created:	7/21/05 -	Sonc14
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a STFCQuantumTorp torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 300.0 / 255.0, 255.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(255.0 / 255.0, 300.0 / 255.0, 300.0 / 255.0, 1.000000)
	kFlareColor = App.TGColorA()
	kFlareColor.SetRGBA(300.0 / 255.0, 300.0 / 255.0, 255.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor, 
					0.115,
					6.0,	 
					"data/Textures/Tactical/TorpedoGlow.tga", 
					kGlowColor,
					0.0,	
					0.4,	 
					0.4,	
					"data/Textures/Tactical/TorpedoFlares.tga",
					kFlareColor,										
					50,		
					0.35,		
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.10)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.Quantum)

	return(0)

def GetLaunchSpeed():
	return(55.0)

def GetLaunchSound():
	return("STFCQuantumTorp")

def GetPowerCost():
	return(5.0)

def GetName():
	return("ST:FCQuantumTorp")

def GetDamage():
	return 2175.0

def GetGuidanceLifetime():
	return 6.0

def GetMaxAngularAccel():
	return 0.5
